artificialFastqGenerator

## Class BriefLogFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - artificialFastqGenerator.BriefLogFormatter

-     public class BriefLogFormatter
      extends java.util.logging.Formatter

  Instances of this class can log messages which consist of the time followed by the record. Copyright (C) 2012 The Institute of Cancer Research (ICR). This file is part of ArtificialFastqGenerator v1.0.0. ArtificialFastqGenerator is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU Public License along with this program. If not, see Authour's contact email: Matthew.Frampton@icr.ac.uk

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BriefLogFormatter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `format(java.util.logging.LogRecord record)`

    - ### Methods inherited from class java.util.logging.Formatter

      `formatMessage, getHead, getTail`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BriefLogFormatter

          public BriefLogFormatter()

  - ### Method Detail

    - #### format

          public java.lang.String format(java.util.logging.LogRecord record)

      Specified by:
        `format` in class `java.util.logging.Formatter`